-- This file is a part of Avoision.
-- 
-- Copyright (C) 2011 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require("Avoision/MovingObject.lua")
require("Effects/Ghost.lua")

local goalGhostPeriod = 500
local goalGhostScaleMax = 5

Goal = { }

function Goal.new(x, y, width, height, speedX, speedY)
    local goal = MovingObject.new(x, y, width, height, speedX, speedY)

    goal.color = Common.goalColor
    goal.group = Common.group.goal

    function goal.createGhost(self)
        return Ghost.new(self, goalGhostPeriod, goalGhostScaleMax)
    end

    return goal
end

