-- This file is a part of Avoision.
-- 
-- Copyright (C) 2011 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

Seeker = { }

function Seeker.new(x, y, width, height, speed, player)
    local seeker = Entity.new(x, y, 0, width, height)

    seeker.target = player
    seeker.enemy = true
    seeker.elements:add(Element.Image.new("Images/Seeker.png"))
    seeker.mesh = Common.seekerMesh
    seeker.group = Common.group.enemy
    seeker.color = Color.new(0.75, 0.75, 0.75)
    seeker.speed = speed / 2.5

    function seeker.update(self, ms)
        local deltaX = self.target.x - self.x
        local deltaY = self.target.y - self.y

        if abs(deltaX) > self.width / 2 or abs(deltaY) > self.height / 2 then
            self.angle = arctan(deltaY, deltaX)
            self.x = self.x + cos(self.angle) * self.speed * ms
            self.y = self.y + sin(self.angle) * self.speed * ms
        end
    end

    return seeker
end


