-- This file is a part of Avoision.
-- 
-- Copyright (C) 2012 Jared Krinke.
-- 
-- Avoision is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

require("UI/UI.lua")

InstructionsMenu = { }

function InstructionsMenu.new()
    local instructionsForm = Form.newGrid(1, -300, 200, 600)

    -- Activate/cancel exit
    local title = Title.new("How to Play")

    title.getActive = nil

    function title.inputReceived(self, event, pressed)
        if pressed then
            if event == "activate" then
                Layers.pop()
            end
        end
    end

    local player = ImageLabel.new("Images/Block.png", Common.textHeight, Common.textHeight, "left")
    local goal = ImageLabel.new("Images/Block.png", Common.textHeight, Common.textHeight, "left")
    local enemy = ImageLabel.new("Images/Block.png", Common.textHeight, Common.textHeight, "left")

    player.color = Common.playerColor
    goal.color = Common.goalColor
    enemy.color = Common.enemyColor

    instructionsForm:add(title)

    instructionsForm:add(Form.newNestedGrid(2,
        Separator.new(), Separator.new(),
        player,          Label.new("MOVE the green square"),
        Separator.new(), Label.new("(using arrow keys by default)"),
        Separator.new(), Separator.new(),
        goal,            Label.new("HIT the red square to score points"),
        Separator.new(), Label.new("(the faster you get to it, the more"),
        Separator.new(), Label.new("points you score)"),
        Separator.new(), Separator.new(),
        enemy,           Label.new("AVOID the obstacles that appear"),
        Separator.new(), Separator.new(),
        Separator.new(), Label.new("COMPETE to get the highest score!")))

    return FormLayer.new(instructionsForm)
end

